//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("Src\Demo\UnitMainDemo.cpp", FormMainDemo);
USEFORM("Src\Demo\UnitVideoDemo.cpp", FormVideoDemo);
USEFORM("Src\Demo\UnitFloatControls.cpp", FormFloatControls);
USEFORM("..\EventEditor\Src\UnitInputDevices.cpp", FormInputDevices);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	try
	{
		Application->Initialize();
		Application->Title = "Video Editor";
		Application->CreateForm(__classid(TFormMainDemo), &FormMainDemo);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	catch (...)
	{
		try
		{
			throw Exception("");
		}
		catch (Exception &exception)
		{
			Application->ShowException(&exception);
		}
	}
	return 0;
}
//---------------------------------------------------------------------------

